:root {
  --bg_color: #F2F2F2;
  --menu_color: #000000;
  --font_titre: 15pt;
  --font_slider: 30pt;
  --font_menu_rect: #D4B151;
  --font_service: 25pt;
  --font_realisation: 20pt;
  --outline: #ffffff;
  --texte: #ffffff;
  --border: 2px solid var(--outline);
  --dots-color: #DFBD5C;
  --animate-duration: 1.5s;
  --animate-delay: 1s;
  --animate-repeat: 1
}

html {
  scroll-behavior: smooth;
}

* {
  margin: 0;
  font-family: "Montserrat", sans-serif;
}

body {
  background-color: var(--bg_color);
}

a {
  text-decoration: none;
  color: var(--texte);
}

.space {
  padding-left: 50px;
  padding-right: 40px;
}

.space_bottom {
  margin-bottom: 100px;
}

nav ul li a.active {
  color: rgb(255, 255, 255);
}

/* Home page */
header {
  background-color: rgba(0, 0, 0, 0.7);
  width: 100%;
  height: 60px;
  z-index: 500;
  position: fixed;
  top: 0;
  overflow: hidden;
  display: flex;
  align-items: center;
}

.nav_bar {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.logo_container a {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.logo_container img {
  width: 60px;
}

.logo_container p {
  position: relative;
  padding-left: 10px;
}

.logo_container p::after {
  display: flex;
  content: "";
  width: 2px;
  height: 40px;
  background-color: rgb(255, 255, 255);
  margin-left: 10px;
  position: absolute;
  top: -10px;
  left: -10px;
}

.menu_nav {
  padding-right: 40px;
}

.btn_nav {
  list-style-type: none;
  padding: 10px;
  display: inline-block;
}

.btn_nav:hover a {
  color: rgb(255, 255, 255);
}

.btn_nav a {
  text-decoration: none;
  color: var(--font_menu_rect);
}


.menu_hamburger {
  display: none;
}

.fa-solid,
.fas {
  color: var(--texte);
  font-weight: 900;
  font-size: 20pt;
}

.swiper {
  width: 100%;
  height: 680px;
  overflow: hidden;
}

.swiper-slide {
  overflow: hidden;
}

.slide_image {
  width: 100%;
  height: 100%;
}

.slide_image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  animation: zoomAnimation 20s infinite alternate;
}

.slide_filter {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
}

.slide-text {
  color: white;
  max-width: 40%;
  margin-left: 130px;
}

.slide-text h1 {
  font-size: 30pt;
  font-weight: 700;
  margin-bottom: 10px;
}

.slide-text h3 {
  font-size: 18pt;
  font-weight: 400;
  margin-bottom: 0;
}

@keyframes zoomAnimation {

  0%,
  100% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.1);
  }
}

.swiper-button-next,
.swiper-button-prev {
  background: #d9d9d952;
  color: var(--texte);
  max-width: 76px;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.swiper-button-next {
  margin-right: 40px;
}

.swiper-button-prev {
  margin-left: 50px;
}

.swiper-button-next:after,
.swiper-button-prev:after {
  font-size: 25pt;
}

.nos_services_title {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.service_title {
  color: var(--menu_color);
  font-size: 24pt;
  font-weight: 700;
  position: relative;
  letter-spacing: 5px;
  padding-left: 22px;
  text-transform: uppercase;
}

.form_bf_title::before {
  content: "";
  position: absolute;
  background-color: var(--font_menu_rect);
  width: 7px;
  height: 45px;
  left: calc(0px);
}

.arrow img {
  width: 30px;
  height: 30px;
}

.all_services {
  display: flex;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
  padding-bottom: 20px;
  scrollbar-width: none;
}

.flip-card {
  background-color: transparent;
  width: 260px;
  height: 380px;
  perspective: 1000px;
}

.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.6s;
  transform-style: preserve-3d;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}

.flip-card:hover .flip-card-inner {
  transform: rotateY(180deg);
}

.flip-card-front,
.flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.flip-card-front-image {
  width: 100%;
  height: 100%;
}

.flip-card-front-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  position: relative;
}

.flip-card-front-text {
  letter-spacing: 3px;
  font-weight: 500;
  font-size: 14pt;
  margin-bottom: 10px;
  width: 100%;
  bottom: 0;
  position: absolute;
  color: var(--texte);
  text-transform: uppercase;
}

.flip-card-back {
  width: 100%;
  height: 100%;
  background-color: #2980b9;
  color: white;
  transform: rotateY(180deg);
}

.flip-card-back img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.flip-card-front-filter {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
}

.rectangle {
  width: 260px;
  height: 320px;
  margin: 0;
  position: relative;
  display: flex;
}

.nos_services_item {
  display: flex;
  gap: 30px;
}

.rect_filter {
  position: absolute;
  top: 0;
  left: 0;
  width: 260px;
  height: 320px;
  background: rgba(0, 0, 0, 0.7);
  display: flex;
  align-items: center;
}

.rectangle p {
  color: white;
  position: absolute;
  bottom: 0;
  margin-bottom: 15px;
  font-size: 14pt;
  text-transform: uppercase;
  font-weight: 500;
  text-align: center;
}

.realisation {
  width: 260px;
  height: 350px;
  margin: 0;
  position: relative;
}

.realisation_photo {
  width: 100%;
  height: 100%;
}

.realisation img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  position: relative;
}

.rectangle_noir {
  background-color: #000000;
  bottom: 0;
  position: absolute;
  width: 100%;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.rect_noir_text p {
  color: white;
  position: relative;
  font-size: 14pt;
  font-weight: 500;
  text-align: center;
}

.slider_video {
  width: 100%;
  height: 400px;
  background-image: url(../Images/slider_3.webp);
  background-size: cover;
  background-attachment: fixed;
  position: relative;
  background-position: center;
  z-index: 1;
}

.filter {
  background: rgba(0, 0, 0, 0.7);
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

.slider_video_text {
  text-align: center;
  color: #ffffff;
  position: absolute;
  font-size: 30pt;
  font-weight: 500;
  max-width: 500px;
}

.slider_video p {
  color: #ffffff;
}

.slider_video_text img {
  width: 70px;
}

.svg-color-change {
  filter: invert(18%) sepia(49%) saturate(395%) hue-rotate(354deg) brightness(92%) contrast(89%);
}

/* Popup */
.container button {
  border: none;
  outline: none;
  background: none;
  cursor: pointer;
}

.popup {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
}

.popup_content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  width: 55%;
  border-radius: 10px;
  text-align: center;
}

.popup_content iframe {
  border-radius: 10px;
  width: 90%;
  height: 419px;
}


/* .open_popup {
  top: 50%;
  transform: translate(-50%, -50%) scale(1);
  visibility: visible;
} */

.popup button {
  width: 90%;
  padding: 10px 0;
  margin-top: 20px;
  background: var(--font_menu_rect);
  color: black;
  border: 0;
  outline: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 18px;
  display: inline-block;
}

/* .popup button a {
  width: 100%;
  padding: 10px 0;
  background: var(--font_menu_rect);
  color: black;
  border: 0;
  outline: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 18px;
} */

.animate__pulse {
  animation-duration: 0.5s;
  animation-fill-mode: both;
  animation-iteration-count: infinite;
}

.galerie {
  display: flex;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
  scrollbar-width: none;
  gap: 30px;
}

.galerie_photo {
  display: flex;
  gap: 10px;
}

.galerie_photo img {
  width: 260px;
  height: 350px;
  object-fit: cover;
}

fieldset {
  border: none;
  background-color: #0C154B;
  color: var(--texte);
  width: 100%;
  max-height: 350px;
  padding: 0;
}

.chef_rectangle {
  width: 100%;
  min-height: 300px;
  background-color: #0C154B;
  color: var(--texte);
}

.pc {
  float: right;
  width: 333px;
  position: relative;
  top: -96px;
}

.chef_text {
  width: 65%;
  margin-top: 15px;
}

.chef_text_grif_name {
  display: flex;
  align-items: center;
  padding-top: 10px;
}

.chef_text_griffes {
  background-color: white;
  background-image: url(../Images/griffes.svg);
  width: 50px;
  height: 50px;
  border-radius: 100px;
  background-size: 50% 50%;
  background-repeat: no-repeat;
  background-position: center center;
  margin-right: 10px;
}

.chef_text_name {
  color: white;
  letter-spacing: 5px;
  font-size: 23pt;
  font-weight: 500;
}

.chef_text_bas p {
  max-height: 95%;
  text-align: justify;
  font-size: 16pt;
  font-weight: 300;
  font-family: 'Poppins', sans-serif;
}

.chef_photo {
  margin-left: 20px;
  /* pour espacer la photo du texte */
}

.chef_photo img {
  width: 300px;
  float: right;
  position: relative;
  top: -64px;
}

.phone {
  display: none;
}

.footer {
  width: 100%;
  height: 200px;
  background-color: #000000;
}

.footer_items {
  margin-right: auto;
  margin-left: auto;
  display: flex;
  padding-top: 35px;
  width: 95%;
  justify-content: space-between;
}

.footer_item_left {
  width: 30%;
}

h4 {
  font-size: 18pt;
  font-weight: 500;
  letter-spacing: 3px;
  text-transform: uppercase;
  color: var(--texte);
  padding-bottom: 15px;
}

.text_color {
  color: var(--dots-color);
}

.footer_icons {
  display: flex;
  gap: 15px;
}

.footer_icons_column {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.circle {
  background-color: var(--dots-color);
  border: 1px solid #ffffff;
  width: 35px;
  height: 35px;
  border-radius: 50%;
  display: flex;
  align-content: center;
  justify-content: center;
}

.circle p {
  font-size: 30pt;
}

.circle img {
  width: 26px;
}

.footer_item_center {
  width: 30%;
}

.footer_item_right {
  width: 30%;
}

.contacter {
  display: flex;
  align-items: center;
}

.contacter a {
  display: flex;
  align-items: center;
}

.contacter_number {
  display: flex;
  flex-direction: column;
  padding-left: 10px;
  text-align: right;
  color: var(--texte);
}

.adress {
  max-width: 216px;
  color: var(--texte);
  padding-left: 10px;
}

.copyright_powered {
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 10pt;
  text-transform: uppercase;
  margin-right: auto;
  margin-left: auto;
  width: 90%;
}

/* Services page */
.slide_service_galerie {
  width: 100%;
  height: 500px;
  position: relative;
  overflow: hidden;
  background-position: center;
  background-size: cover;
  background-attachment: fixed;
}

.slide_contact {
  background-image: url(../Images/contact.jpg);
}

.slide_galerie {
  background-image: url(../Images/galerie2.jpg);
}

.slide_service {
  background-image: url(../Images/service_slide.jpg);
}

.slide_filter_service {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  display: flex;
  align-items: center;
  justify-content: center;
}

.slide_text_service {
  color: white;
  font-size: 23pt;
}

.description_text {
  font-size: 17pt;
  font-weight: 400;
  text-align: center;
  max-width: 50%;
  margin-left: auto;
  margin-right: auto;
}

.service_page_all {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  width: 97%;
  row-gap: 30px;
  column-gap: 20px;
  margin-left: auto;
  margin-right: auto;
}

.service_page_items {
  background-color: #ffffff;
  /* border: 2px solid var(--dots-color); */
  border-radius: 10px;
  overflow: hidden;
  display: flex;
  width: 32%;
  min-width: 450px;
  height: 250px;
  align-items: center;
  box-shadow: 0px 0px 5px 0px #00000003;
}

.service_page_items img {
  width: 190px;
  height: 100%;
  object-fit: cover;
  object-position: center;
  border-right: none;
}

.service_page_items_text {
  padding-left: 15px;
  padding-right: 10px;
}

.service_page_items_text h1 {
  color: var(--menu_color);
  font-size: 17pt;
}

.service_page_items_text p {
  text-align: justify;
  padding-top: 15px;
  max-width: 93%;
  color: #000000;
  font-size: 11pt;
}


/* Contact page */
.write_us_all {
  display: flex;
  background-color: var(--menu_color);
  width: 100%;
}

.write_items {
  display: flex;
  align-items: center;
  width: 90%;
  margin-left: auto;
  margin-right: auto;
  margin: 20px auto 20px auto;
  justify-content: space-between;
}

.write_left {
  display: flex;
  /* width: 45%; */
  width: 400px;
  height: 400px;
  margin-left: 150px;
  flex-direction: column;
}

.write_left img {
  width: 100%;
  height: 100%;
  min-width: 150px;
  object-fit: cover;
  object-position: center;
}

.write_right {
  display: flex;
  width: 49%;
  margin-right: 150px;
  flex-direction: column;
  align-items: center;
  margin-left: 30px;
}

form {
  min-width: 100%;
}

.write_text {
  color: white;
  font-size: 24pt;
  font-weight: 700;
  width: 100%;
  margin-bottom: 45px;
}

.write_rect {
  display: flex;
  justify-content: space-between;
  gap: 10px;
  margin-bottom: 20px;
  height: 40px;
}

.prenom,
.mail,
.number,
.city,
.write_textarea2 {
  background: none;
  border: 1px solid white;
  width: 100%;
  height: 40px;
  min-width: 250px;
  color: white;
}

::placeholder {
  color: white;
  opacity: 0.7;
  /* Firefox */
  padding: 10px;
}

input[type="submit"] {
  background-color: var(--dots-color);
  color: var(--menu_color);
  font-size: 14pt;
  padding: 10px 15px;
  border: none;
  cursor: pointer;

}

input[type="submit"]:hover {
  background-color: #ffffff;
}

/* Galerie page */
.galerie_all_page {
  align-items: center;
  justify-content: center;
  gap: 30px;
  display: flex;
  flex-wrap: wrap;
  width: 90%;
  margin: auto;
}

.galerie_page_items {
  position: relative;
  width: 270px;
  height: 350px;
  border-radius: 10px;
  overflow: hidden;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  background-color: #fff;
}

.galerie_page_items img:hover {
  opacity: 0.7;
  transition: all 0.3s ease-in-out;
  transform: scale(0.8);
}

.galerie_page_items img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  display: block;
}

.galerie_page_items .galerie_page_title {
  position: absolute;
  bottom: 0;
  width: 100%;
  background: rgba(0, 0, 0, 0.9);
  color: #fff;
  text-align: center;
  padding: 10px;
  box-sizing: border-box;
  font-size: 16px;
}

.galerie_page_badge {
  position: absolute;
  top: 10px;
  right: 10px;
  background: var(--dots-color);
  color: #fff;
  border-radius: 50%;
  width: 35px;
  height: 35px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  font-weight: bold;
}


/* Galerie_view page */
.galerie_view_all_page {
  align-items: center;
  justify-content: center;
  gap: 7px;
  display: flex;
  flex-wrap: wrap;
  width: 98%;
  margin: auto;
}

.galerie_view_items {
  width: 280px;
  height: 367px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  background-color: #fff;
  cursor: pointer;
}

.galerie_view_items img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  display: block;
}

.galerie_view_items img:hover {
  opacity: 0.7;
  transition: all 0.3s ease-in-out;
  transform: scale(0.8);
}

#image-viewer {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 180px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.9);
}

.modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 410px;
}

.modal-content {
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {
    transform: scale(0)
  }

  to {
    transform: scale(1)
  }
}

#image-viewer .close {
  position: absolute;
  right: 35px;
  color: #f1f1f1;
  font-size: 60px;
  font-weight: bolder;
  transition: 0.3s;
}

#image-viewer .close:hover,
#image-viewer .close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}